http://medialive.{region}.amazonaws.com/prod/channels/{channelId}/scheduleUpdate a channel schedule
Id of the channel whose schedule is being updated.
A list of schedule actions to create (in a request) or that have been created (in a response).
A list of schedule actions to delete.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://medialive.{region}.amazonaws.com/prod/channels/{channelId}/schedule' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://medialive.{region}.amazonaws.com/prod/channels/{channelId}/scheduleUpdate a channel schedule
Id of the channel whose schedule is being updated.
A list of schedule actions to create (in a request) or that have been created (in a response).
A list of schedule actions to delete.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://medialive.{region}.amazonaws.com/prod/channels/{channelId}/schedule' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}